Lavalite package that provides online_store management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `datman/online_store`.

    "datman/online_store": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Datman\OnlineStore\Providers\OnlineStoreServiceProvider::class,

And also add it to alias

    'OnlineStore'  => Datman\OnlineStore\Facades\OnlineStore::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Datman\\OnlineStoreTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Datman\OnlineStore\Providers\OnlineStoreServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Datman\OnlineStore\Providers\OnlineStoreServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Datman\OnlineStore\Providers\OnlineStoreServiceProvider" --tag="view"


## Usage


